{ pkgs, ... }:
{
  system.defaults.dock = {
    autohide = false;
    show-recents = true;

    wvous-bl-corner = 1;
    wvous-br-corner = 1;
    wvous-tl-corner = 1;
    wvous-tr-corner = 1;

    persistent-apps = [
      "/System/Applications/Apps.app"
      "/Applications/Microsoft Edge Canary.app"
      "/Applications/Discord.app"
      "/Applications/KakaoTalk.app"
      "/Applications/Signal.app"
      "/Applications/Proton Mail.app"
      # "/Applications/Proton Pass.app"
      # "/System/Applications/Mail.app"
      "/Applications/1Password.app"
      "/Applications/Figma.app"
      "/Applications/Notion.app"
      # "/Applications/Notion Calendar.app"
      "${pkgs.utm}/Applications/UTM.app"
      "/Applications/Spotify.app"
      "${pkgs.ghostty-bin}/Applications/Ghostty.app"
      "/Applications/Visual Studio Code - Insiders.app"
      "/Applications/Zed.app"
      "/System/Applications/System Settings.app"
    ];
    mru-spaces = false;
    tilesize = 48;
    orientation = "bottom";
  };
}
